Upstream information

CVE-2017-13711 at MITRE

Description

Use-after-free vulnerability in the sofree function in slirp/socket.c in QEMU (aka Quick Emulator) allows attackers to cause a denial of service (QEMU instance crash) by leveraging failure to properly clear ifq_so from pending packets.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 5 1.9
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P AV:L/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network Local
Access Complexity Low Medium
Authentication None None
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Partial Partial
CVSS v3 Scores
  SUSE
Base Score 4
Vector AV:N/AC:H/PR:N/UI:N/S:C/C:N/I:N/A:L
Access Vector Network
Access Complexity High
Privileges Required None
User Interaction None
Scope Changed
Confidentiality Impact None
Integrity Impact None
Availability Impact Low
SUSE Bugzilla entry: 1056291 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP3
  • qemu >= 2.9.1-6.6.3
  • qemu-block-curl >= 2.9.1-6.6.3
  • qemu-ipxe >= 1.0.0-6.6.3
  • qemu-kvm >= 2.9.1-6.6.3
  • qemu-seabios >= 1.10.2-6.6.3
  • qemu-sgabios >= 8-6.6.3
  • qemu-tools >= 2.9.1-6.6.3
  • qemu-vgabios >= 1.10.2-6.6.3
  • qemu-x86 >= 2.9.1-6.6.3
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2017-1810
SUSE Linux Enterprise Server 12 SP3
  • qemu >= 2.9.1-6.6.3
  • qemu-arm >= 2.9.1-6.6.3
  • qemu-block-curl >= 2.9.1-6.6.3
  • qemu-block-iscsi >= 2.9.1-6.6.3
  • qemu-block-rbd >= 2.9.1-6.6.3
  • qemu-block-ssh >= 2.9.1-6.6.3
  • qemu-guest-agent >= 2.9.1-6.6.3
  • qemu-ipxe >= 1.0.0-6.6.3
  • qemu-kvm >= 2.9.1-6.6.3
  • qemu-lang >= 2.9.1-6.6.3
  • qemu-ppc >= 2.9.1-6.6.3
  • qemu-s390 >= 2.9.1-6.6.3
  • qemu-seabios >= 1.10.2-6.6.3
  • qemu-sgabios >= 8-6.6.3
  • qemu-tools >= 2.9.1-6.6.3
  • qemu-vgabios >= 1.10.2-6.6.3
  • qemu-x86 >= 2.9.1-6.6.3
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1810
openSUSE Leap 42.3
  • qemu >= 2.9.1-35.1
  • qemu-arm >= 2.9.1-35.1
  • qemu-arm-debuginfo >= 2.9.1-35.1
  • qemu-block-curl >= 2.9.1-35.1
  • qemu-block-curl-debuginfo >= 2.9.1-35.1
  • qemu-block-dmg >= 2.9.1-35.1
  • qemu-block-dmg-debuginfo >= 2.9.1-35.1
  • qemu-block-iscsi >= 2.9.1-35.1
  • qemu-block-iscsi-debuginfo >= 2.9.1-35.1
  • qemu-block-rbd >= 2.9.1-35.1
  • qemu-block-rbd-debuginfo >= 2.9.1-35.1
  • qemu-block-ssh >= 2.9.1-35.1
  • qemu-block-ssh-debuginfo >= 2.9.1-35.1
  • qemu-debugsource >= 2.9.1-35.1
  • qemu-extra >= 2.9.1-35.1
  • qemu-extra-debuginfo >= 2.9.1-35.1
  • qemu-guest-agent >= 2.9.1-35.1
  • qemu-guest-agent-debuginfo >= 2.9.1-35.1
  • qemu-ipxe >= 1.0.0-35.1
  • qemu-ksm >= 2.9.1-35.1
  • qemu-kvm >= 2.9.1-35.1
  • qemu-lang >= 2.9.1-35.1
  • qemu-linux-user >= 2.9.1-35.1
  • qemu-linux-user-debuginfo >= 2.9.1-35.1
  • qemu-linux-user-debugsource >= 2.9.1-35.1
  • qemu-ppc >= 2.9.1-35.1
  • qemu-ppc-debuginfo >= 2.9.1-35.1
  • qemu-s390 >= 2.9.1-35.1
  • qemu-s390-debuginfo >= 2.9.1-35.1
  • qemu-seabios >= 1.10.2-35.1
  • qemu-sgabios >= 8-35.1
  • qemu-testsuite >= 2.9.1-35.1
  • qemu-tools >= 2.9.1-35.1
  • qemu-tools-debuginfo >= 2.9.1-35.1
  • qemu-vgabios >= 1.10.2-35.1
  • qemu-x86 >= 2.9.1-35.1
  • qemu-x86-debuginfo >= 2.9.1-35.1
Patchnames:
openSUSE-2017-1248


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 xen Unsupported
SUSE Linux Enterprise Desktop 12 SP2 qemu Not affected
SUSE Linux Enterprise Desktop 12 SP2 xen Not affected
SUSE Linux Enterprise Desktop 12 SP3 qemu Released
SUSE Linux Enterprise Desktop 12 SP3 xen Not affected
SUSE Linux Enterprise SDK 11 SP4 xen Not affected
SUSE Linux Enterprise SDK 12 SP2 xen Not affected
SUSE Linux Enterprise SDK 12 SP3 xen Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS kvm Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS xen Not affected
SUSE Linux Enterprise Server 11 SP4 kvm Not affected
SUSE Linux Enterprise Server 11 SP4 xen Not affected
SUSE Linux Enterprise Server 12 GA LTSS qemu Not affected
SUSE Linux Enterprise Server 12 GA LTSS xen Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS qemu Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS xen Not affected
SUSE Linux Enterprise Server 12 SP2 qemu Not affected
SUSE Linux Enterprise Server 12 SP2 xen Not affected
SUSE Linux Enterprise Server 12 SP3 qemu Released
SUSE Linux Enterprise Server 12 SP3 xen Not affected